﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Insert_Stored_Proc_EF_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            CustomersEntities entities = new CustomersEntities();
            return View(entities.Customers);
        }

        public JsonResult InsertCustomers(List<Customer> customers)
        {
            using (CustomersEntities entities = new CustomersEntities())
            {
                //Truncate Table to delete all old records.
                entities.Database.ExecuteSqlCommand("TRUNCATE TABLE [Customers]");

                //Check for NULL.
                if (customers == null)
                {
                    customers = new List<Customer>();
                }

                //Loop and insert records.
                int insertedRecords = 0;
                foreach (Customer customer in customers)
                {
                    int customerId = entities.InsertCustomer(customer.Name, customer.Country).FirstOrDefault().Value;
                    insertedRecords++;
                }

                return Json(insertedRecords);
            }
        }
    }
}